ACOSH(3)

NAME
acosh - inverse hyperbolic cosine function

SYNOPSIS
#include <math.h>

double acosh(double x);

DESCRIPTION
The acosh() function calculates the inverse hyperbolic cosine of x; that is the value whose hyperbolic cosine is x. If x is less than 1.0, acosh() returns not-a-number (NaN) and errno is set.

ERRORS

EDOM
    x is out of range.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
asinh(3), atanh(3), cosh(3), sinh(3), tanh(3)